/*
* LaGUI: A graphical application framework.
* Copyright (C) 2022-2023 Wu Yiming
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "la_5.h"

static const char *entries[]={
"Remove this resource folder entry","Quita esta entrada de carpeta de recursos",
"Confirm selection","Confirma selección",
"Rotate Viewing Camera","Rota la Visión de Cámara",
"Whether OpenGL debug output should be in sync with the caller","Establece si la salida de depuración de OpenGL debe sincronizarse con el cliente",
"Set property to its minimum value","Establece propiedad a su valor mínimo",
"Subdivide edges","Subdivide bordes",
"A joystick/gamepad controller","Un controlador Joystick/Gamepad",
"Delete parts of the mesh","Elimina partes de la malla",
"Transparency of the edge color","Transparencia del color de borde",
"Length of the action in seconds","Duración de la acción en segundos",
"Show whether line width is acceptable by hardware","Muestra si el grosor de línea es aceptable por hardware",
"Animation property","Propiedad de Animación",
"File size in convenient string","Tamaño de fichero en una cadena conveniente",
"Name of the page","Nombre de la página",
"UDF file block","Bloque de fichero UDF",
"Loop iterations","Iteraciones del Bucle",
"Whether to enable color management or not","Activa o desactiva la gestión de color",
"Bookmark name","Nombre del Marcador",
"Internal node type","Tipo de Nodo Interno",
"Data block is modified","Bloque de datos modificado",
"File extension string","Extensión del fichero",
"Custom signal","Señal Personalizada",
"Repeat a series of operations for a few times","Repite una serie de operaciones una cantidad de veces",
"Zoom Factor On X,Y Axis","Factor de Zoom en los Ejes X,Y",
"Select by vertices or edges","Selecciona por vértices o bordes",
"Base name of the file (withiout directory)","Nombre base para el fichero (sin el directorio)",
"Input mappings","Mapeos de Entrada",
"Alpha of the wire color","Alfa del color del cable",
"Animation viewer global playhead","Cabezal de Reproducción Global del Visor de Animación",
"The file this block came from/saves to","El fichero de este bloque provienee/se guarda en",
"Folders to search for resources","Carpetas en la que se buscarán los recursos",
"Move 2D Canvans","Mover Lienzo 2D",
"How to play this action","Cómo reproducir esta acción",
"Show whether data blocks or UDF files","Muestra si son bloques de datos o ficheros UDF",
"A logical drive (in Windows)","Una unidad lógica (en Windows)",
"Filtered custom signals","Señales personalizadas filtradas",
"Draw grid background on alpha<1","Dinuja una malla de guía de fondo en alpha<1",
"Transparency of the cursor","Transparencia del cursor",
"Clamp output","Aferrar Salida",
"File path","Ruta del fichero",
"Play head offset from global timing","Desviación del Cabezal de Reproducción con respecto al tiempo global",
"Terminal input string","Cadena de entrada de Terminal",
"Which controller should the data come from","Desde qué controlador debe decibir los datos",
"Restore the property to the original value","Restaura la Propiedad a su valor original",
"Prefer to show data blocks or files when saving","Prefiere mostrar bloques de datos o ficheros al guardar",
"Select signal","Selecciona la señal",
"Name of the screen","Nombre del Monitor",
"Brightness of the vertex color","Brillo del color ápex",
"Signal selection","Selección de señal",
"Show stripes on overflowing colors","Muestra bandas sobre los colores saturados",
"Disk total compacity in gigabytes","Capacidad total del disco en Gigabytes",
"String of the pressed key","Cadena de la tecla presionada",
"Wacom eraser device ID","ID de dispositivo Borrador de Wacom",
"Delete this theme","Elimina este Tema",
"Remove this controller config","Remueve esta configuración de controlador",
"Insert key frame in the active action","Inserta Keyframe en la acción activa",
"Combine mesh objects","Combina objetos de la malla",
"Use script instead of nodes","Usa un guión en lugar de nodos",
"Viewport halftone size","Tamaño de Semitono de Viewport",
"How many slices of color to give to node sockets","Cuántas divisiones de color dar a los conectores de nodo",
"Add objects/primitives","Agrega objetos/primitivas",
"Disk Free Space Size In Gigabytes","Tamaño del Espacio Libre del Disco en Gigabytes",
"The language list in the software","La lista de idiomas del programa",
"Remove this mapping","Remover este mapeado",
"Device type of the input event","Tipo de Dispositivo del evento de entrada",
"Extrude parts of the mesh","Extruír partes de la malla",
"Close this panel","Cierra este panel",
"File Size In Bytes","Tamaño de fichero en Bytes",
"Translate user interface into another language","Traducir la interfaz de usuario a otro idioma",
"Themes Loded In The Program","Temas Cargados en el programa",
"Transparency of selected edges","Transparencia de los bordes seleccionados",
"UID for shared resoure lookup","UID para la revisión de recursos compartidos",
"Background brightness in active state","Brillo del fondo en estado activo",
"How saggy is a wire","Cuan destensionado está el cable",
"Reduced alpha on inactive widgets","Reduce alfa en los elementos inactivos",
"Restore default value","Restaurar valor por defecto",
"Get a file path","Obtener una ruta de fichero",
"Background brightness","Brillo del Fondo",
"Solid shadow length for floating panels","Longitud de sombra sólida para los paneles flotantes",
"Brightness of the wires","Brillo del cable",
"Name of this rack","Nombre de este rack",
"Target data block","Bloque de Datos Destino",
"Desctiption of this screen","Descripción de este Monitor",
"Create a new directory","Crea un nuevo directorio",
"Select folder or file","Selecciona carpeta o fichero",
"Unparent selected objects","Desacoplar objetos seleccionados",
"Remove this entry","Quita esta entrada",
"Output color space of this window, set this to the monitor's color space to get accurate result","Espacio de color de Salida para esta ventana, configurarla al espacio del color del monitor para obntener un resultado preciso",
"Panel animation speed","Velocidad de animación del panel",
"Remove this screen config","Quitar esta configuración de monitor",
"Brightness","Brillo",
"Add a rack into the page","Agrega un rack a la página",
"Output keyboard events","Eventos de Salida de teclado",
"glLineWidth() will follow 2dview zooming","glLineWidth() seguirá un zoom 2D",
"Remove this action","Quitar esta acción",
"Transparency of selected vertices","Transparencia de los vértices seleccionados",
"Saturation of the wires","Saturación del cable",
"Reference to target UDF file","Referencia del fichero UDF destino",
"A bookmarked folder from GTK3","Una carpeta marcada desde GTK3",
"Viewport halftone mixing factor","Factor de mezclado de semitonos de Viewport",
"Reduced saturation on inactive widgets","Saturación reducida en los elementos inactivos",
"Joystick device number","Número de dispositivo de Joystick",
"Bookmarked directories in GTK3","Directorios marcados en GTK3",
"Automatically switch color space for windows on different screens","Cambiar el espacio de color automáticamente en ventanas dispuestas en monitores diferentes",
"Set property to its maximum value","Establecer propiedad a su valor máximo",
"Total frame count in the whole length of the action","Conteo total de cuadros en toda la duración de la acción",
"Transparency of selected faces","Transparencia de las superficies seleccionadas",
"Save user preferences before exiting the program","Guarda las preferencias de usuario antes de salir del programa",
"Transparency of the vertex color","Transparencia del color ápex",
"Automatically play this animation when player starts","Reproduce esta animación automáticamente cuando se inicia el reproductor",
"Hardware color space of this screen ","Espacio de color por hardware de este monitor",
"Theme accent color for warning etc","Acentuado de color para advertencias de Tema, etc",
"Enable log printing to stdout","Activa la presentación de log en stdout",
"Select upper folder level In file browsers","Selecciona el directorio de nivel superior en el Navegador de Ficheros",
"Compose and adjust window colors, best for outdoor lighting","Compone y ajusta los colores de ventanas, superior para iluminación de exteriores",
"Enable OpenGL debug output in the system terminal","Actuva la salida de depuración de OpenGL en la terminal de sistema",
"Allows less saturated colors to have more areas","Permite que los colores menos saturados tengan mayor presencia",
"The height of the font related to the row height","La altura de la fuente relacionada con la altura de la línea",
"Wacom driver to read pressure info from on Windows","El controlador de Wacom lee la información de presión desde la ventana activa de Windows",
"How many rows to move when scrolling using mouse wheel","cuanta líneas desplazar cuando se usa la rueda del ratón",
"UDF Manager Default View","Vista por Defecto del Gestor UDF",
"Wacom stylus device ID","ID de dispositivo de la pluma Wacom",
"New mapping entry","Nueva entrada de mapeo",
"Clear background","Borrar fondo",
"Merge vertices","Unificar vértices",
"The tooltip will hide if mouse moved away further","La punta de herramienta se ocultará si el mouse se aleja más allá",
"Ui Block","Bloquea interfaz de usuario",
"Slider","Deslizador",
"Small Math node","Nodo de Matemática Pequeña",
"Composing blackpoint","Punto negro de Composición",
"How many rows a ui should take or reserve","Cuantas líneas debe reservar o utilizar una UI",
"Icon ID","ID de Icono",
"Description of this recorded change","Descripción de este cambio registrado",
"Points","Puntos",
"Key Down","Tecla Abajo",
"Text brightness","Brillo del Texto",
"Filter displayed signals","Filtrar Señales Presentadas",
"Delete this rack","Elimina este rack",
"Auto Play","Auto Reproducción",
"Clamp input","Aferrar Entrada",
"Screens connected to this computer","Monitores conectados a esta computadora",
"Shadow transparency for floating panels","Transparencia de la sombra de los paneles flotantes",
"Toggle delta transformation mode for animation editing","Conmuta modo de transforamción delta para edición de animaciones",
"Set handle type of selected points","Configura tipo de Handle de los Puntos Seleccionados",
"Available Extensions","Extensiones Disponibles",
"Background alpha","Alfa de Fondo",
"New Directory","Nuevo Directorio",
"Bytes","Bytes",
"Thumbnail","Miniatura",
"Backups","Respaldos",
"Auto Switch","Auto Conmutar",
"Per screen config:","Configuración por Monitor:",
"Will remove input mapping","Quitará mapeo de entrada",
"Will remove this key map entry","Quitará este mapeo de tecla de entrada",
"Select Signal","Seleccione Señal",
"Press a key:","Presione una Tecla:",
"Select Key","Seleccione Tecla",
"Joystick","Joystick",
"Keyboard","Teclado",
"New Entry","Nueva Entrada",
"New Mapping","Nuevo Mapeo",
"Warning Color:","Color de Advertencia:",
"Viewport:","Viewport:",
"Halftone Factor","Factor de Semitono",
"Halftone Size","Tamaño de Semitono",
"Restore Factory Settings","Restaurar configuraciones de fábrica",
"Restart the program for changes to take effect.","Reinicie el programa para que los cambios surtan efecto.",
"Success","'Exito",
"Problem","Problema",
"Unable to remove preference file.","Incapaz de remover el fichero de preferencias",
"Confirm?","¿Confirma?",
"This will remove the preference file.\nChanges take effect on restating the program.","Esto quitará el fichero de preferencias,\nLos cambios surtirán efecto al reiniciar el programa.",
"Enable Log StdOut","Activa registro en StdOut",
"Logs:","Logs:",
"Merge","Unir",
"Separate","Separar",
"Subdiv","Subdividir",
"Extrude","Extruír",
"Knife","Cuchillo",
"Recalculate Normals","Recalcular Normales",
"Loop Cut","Corte en Bucle",
"Directly","Directamente",
"Keep transform","Mantener Transformación",
"Use Format","Formato de Uso",
"Scene Info","Información de Escena",
"Mesh","Malla",
"<Not saved yet>","<Aún no guardado>",
"Combine","Combina",
"Edges","Bordes",
"Verts","Vértices",
"Transformations","Transformaciones",
"Grab","Recoger",
"Clear Transformations","Borrar Transformaciones",
"Rotate","Rotar",
"Debug Sync","Depurar Sinc",
"Delta","Delta",
"Select Through","Seleccionar Desde",
"Unparent","Desacoplar",
"Mesh Object","Objeto de Malla",
"Duplicate","Duplicar",
"Make parent","Acoplar",
"Untranslated strings exported to TranslationDump.txt","Cadenas no traducidas exportadas a TranslationDump.txt",
"Note","Nota",
"Low","Bajo",
"Okay","Bien",
"ALL","TODO",
"Medium","Medio",
"High","Alto",
"OK","OK",
"Enable OpenGL Debug","Activar Depurado OpenGL",
"Synthesizers","Sintetizadores",
"Loc:","Loc:",
"Backend:","Backend:",
"Device:","Dispositivo:",
"OpenGL Debugging:","Depurado OpenGL:",
"Show Details","Mostrar Detalles",
"Scale","Escala",
"Delta Rot","Delta Rot",
"Select or add a logic page.","Selecciona o agrega una página lógica.",
"Delta Mode","Modo Delta",
"Properties","Propiedades",
"DLoc:","DLoc:",
"Object","Objeto",
"Rot:","Rot:",
"Scene","Escena",
"About","Acerca de",
"World","Mundo",
"Action Channels","Canales de Acción",
"Save on exit:","Guardar al Salir:",
"OpenGL debugging is force enabled with `--gl-debug`","Depurado de OpenGL esta activo forzadamente con `--gl-debug`",
"View Detached","Desprender Vista",
"Delta Loc","Delta Loc",
"Axis:","Eje:",
"Rotation","Rotación",
"Delta Scale","Escalar Delta",
"New Root","Nueva Raíz",
"DRot:","DRot:",
"Refresh Audio Devices","Refrescar dispositivos de Audio",
"Audio","Audio",
"Floor:","Piso:",
"Please select an action.","Por favor seleccione una acción.",
"No active object.","No hay objeto activo.",
"Location","Locación",
"Root Objects","Objetos Raíz",
"Actions","Acciones",
"Modified","Modificado",
"Name:","Nombre:",
"Enable Color Management","Activa Gestión de Color",
"Remove Page","Quitar Página",
"Move Left","Mueve a la Izquierda",
"Move Right","Mueve a la Derecha",
"Driver:","Driver:",
"Not yet implemened on Windows.","Aún no está implementado en Windows.",
"Set Min","Establecer Mínimo",
"Set Max","Establecer Máximo",
"Restore Default","Restaurar Defecto",
"Paste","Pegar",
"Copy","Copiar",
"Copy Selection","Copiar Selección",
"Get File Path","Obtener Ruta de Fichero",
"Show Splash","Mostrar Pantalla Inicial",
"🡻 Minimized","🡻 Minimizado",
"Length","Longitud",
"Fullscreen","Pantalla Completa",
"Multiply (component)","Multiplicar (componente)",
"Cross","Cruz",
"Dot","Punto",
"Append","Agregar",
"Restore","Restaurar",
"Combine 🡲","Combinar 🡲",
"New Layout","Nueva Disposición",
"Divide (component)","Divide (componente)",
"Color Picker Gamma","Selector de Color Gama",
"Color:","Color:",
"Normalize","Normalizar",
"General Type Of The File","Tipo General de Fichero",
"File exists","El fichero ya Existe",
"Selected file already exists. Overwrite the file?","El fichero seleccionado ya existe. ¿Sobreescribir el fichero?",
"Color","Color",
"Route","Ruta",
"Driver","Driver",
"Auxiliary","Auxiliar",
"Fold","Doblar",
"Restore Layout","Restaurar Disposición",
"Maximize","Maximiza",
"Background color of the canvas","Color de fondo del Lienzo",
"Create a new window","Crear una ventana nueva",
"Cosine","Coseno",
"Log","Log",
"Tangent","Tangente",
"Subtract","Restar",
"Cycle All Layouts In Current SYSWINDOW","Conmuta todas las Disposiciones en la Ventana Actual",
"The Title/Name Of A Panel","El título/Nombre de un Panel",
"Themes Loaded In The Program","Temas Cargados en el Programa",
"Arcsin","Arcoseno",
"Atan2","Atan2",
"Divide","Dividir",
"Arccosine","Arcoseno",
"Sine","Seno",
"Arctangent","Arcotangente",
"Mod","Mod",
"Power","Potencia",
"Framerate limiter for drawing the user interface","Limitador de refresco de presentación de la interfaz de usuario",
"Dock some panels here.","Ancla algunos paneles aquí.",
"User Preferences","Preferencias de Usuario",
"Drivers","Drivers",
"Controllers","Controladores",
"Data Manager","Gestor de Datos",
"System","Sistema",
"Input Mapping","Mapeo de Entrada",
"Terminal","Terminal",
"Controlling","Controlando",
"Tools","Herramientas",
"Texture Inspector","Inspector de Texturas",
"Yiming's Blog","Blog de Yiming",
"Details","Detalles",
"Add","Agregar",
"Ignore The Statement","Ignorar la Declaración",
"Histories","Historiales",
"Show Border","Mostrar Límites",
"显示 User Preferences","Preferencias de Usuario",
"Range of the random values","Rango de Valores al Azar",
"RGB to OKHSL","RGB a OKHSL",
"Show ","Mostrar ",
"Discard And Quit","Descartar y Salir",
"Make Transform","Realizar Transformación",
"OKHSL to RGB","OKHSL a RGB",
"Vector Math","Matemática de Vectores",
"Show User Preferences","Muestra Preferencias de Usuario",
"Refresh","Refrescar",
"Random","Al azar",
"Move","Mover",
"Split","Dividir",
"Visualizer","Visualizador",
"Matrix","Matriz",
"Configure","Configurar",
"Small Math","Matemática Pequeña",
"Save","Guardar",
"Math","Matemática",
"Comment","Comentario",
"Values","Valores",
"Save Modified","Guardar los modificados",
"Save All","Guardar todo",
"Transform","Transformar",
"Switch","Conmutar",
"Mapper","Mapeador",
"Binding","绑定",
"You still have unsaved/unassigned datablocks:","Aún tiene bloques da datos no guardados/no asignado:",
"If you exit the program now, you will lose those changes.","Si abandona el programa ahora, perderá las modificaciones",
"Input Mapping:","Mapeo de Entrada:",
"Undo","Deshacer",
"UDF Manager","Gestor UDF",
"Please select a controller.","Por favor seleccione un controlador.",
"Normal","Normal",
"px","px",
"Information","Información",
"Width,Height","Ancho,Alto",
"Floating Panel:","Panel Flotante:",
"Solid Shadow Length","Longitud de Sombra sólida",
"Wire Transparency","Transparencia del cable",
"Cursor Alpha","Alfa de Cursor",
"Selected Face Transparency","Transparencia de Superficie Seleccionada",
"Wire color slices","Divisón de Color de los cables",
"Scrolling Speed","Velocidad de Desplazamiento",
"Redo","Rehacer",
"A graphical user interface application toolkit","Un conjunto de herramientas para aplicaciones de Interfaz Gráfica de Usuario",
"Meshes:","Mallas:",
"Add Resource Folder","Agregar Carpeta de Recursos",
"User Interactions:","Interacciones de Usuario:",
"Enable Translation:","Activar Traducción:",
"Active","Activa",
"Inactive Mix","Mezcla Inactiva",
"Edit","Edición",
"Delete Rack","Eliminar Rack",
"Panel Animation Speed","Velocidad de Animación del Panel",
"Active Theme","Tema Activo",
"Panel doesn't have configurable property.","El Panel no tiene propiedad configurable.",
"Font Size","Tamaño de Tipografía",
"Margin Size","Tamaño de Márgen",
"Add Rack","Agregar Rack",
"Left,Right,Top,Bottom","Izquierda,Derecha,Arriba,Abajo",
"Tooltip Close Distance","Distancia Cercana de Punta de Herramienta",
"UDF Manager Default View:","Vista por Defecto del Gestor UDF:",
"Alpha","Alfa",
"Other Entries","Otras Entradas",
"Interface:","Interfaz:",
"Settings","Opciones",
"New Panel","Nuevo Panel",
"Font Size:","Tamaño de fuente:",
"Border","Límite",
"Accent Color:","Color de Acentuado:",
"Wire Saturation","Saturación de los cables",
"Text","Texto",
"LaGUI application framework is made by Wu Yiming.","Marco de Aplicación LaGUI programado por Wu Yiming.",
"Refresh Controllers","Refrescar Controladores",
"Dock","Anclar",
"Panel Multisample:","Panel Multimuestra:",
"Files","Ficheros",
"None","Ninguno",
"Text Active","Texto Activo",
"Shadow Alpha","Sombra Alfa",
"Input device handling:","Gestión del dispositivo de Entrada:",
"Add Node","Agregar Nodo",
"Hide","Ocultar",
"Viewing Texture:","Textura de Visualización:",
"Stylus Device","Dispositivo de Pluma",
"Base Color:","Color de Base:",
"Margin Size:","Tamaño de Márgen:",
"Eraser Device","Dispositivo Borrador",
"Animation Speed","Velocidad de Animación",
"File Dialog","Diálogo de Fichero",
"Row Height:","Altura de Línea:",
"Border:","Límite:",
"Selected Vertex Transparency","Ápex de Transparencia Seleccionada",
"Quit","Salir",
"Dump Untranslated Text","Descartar Texto no Traducido",
"History","Historial",
"Margins:","Márgenes:",
"Zoom Speed 2D","Velocidad de Zoom 2D",
"Idle time","Tiempo inactivo",
"UDF Extensions:","Extensiones UDF:",
"Options","Opciones",
"Top Framerate:","Velocidad de Refreco superior:",
"Top Framerate","Velocidad de Refresco superior",
"Goto","Ir a",
"Cursor:","Cursor:",
"Yes Or No","Si o No",
"Selection Alpha","Selección Alfa",
"Widgets:","挂件：",
"Pads/Joysticks:","Pads/Joysticks:",
"Edge Brightness","Brillo de Borde",
"Valuator Threshold","Valuador de Umbral",
"Save as","Guardar como",
"Switch Layout","Alternar Disposición",
"Adaptive","Adaptativo",
"Cancel","Cancelar",
"File","Fichero",
"Show","Mostrar ",
"Remove","Quitar",
"Wire saggyness","Flojedad de los cables",
"Inactive Saturation","Saturación Inactiva",
"Get Folder Path","Obtener Ruta de Carpeta",
"New SYSWINDOW","Nueva Ventana",
"Resource Folders","Carpetas de Recursos",
"Basics:","Basicos:",
"Selected Edge Transparency","Transparencia de Borde Seleccionado",
"Read","Abrir",
"Wire thickness","Grosor de los cables",
"Panel Activator","Activador de Panel",
"Data Blocks","Bloques de Datos",
"Transparency:","Transparencia:",
"Language:","Idioma:",
"Wacom Devices:","Dispositivos Wacom:",
"Move Rack","Mover Rack",
"Yes","Si",
"Interface Size","Tamaño de Interfaz",
"Nodes:","Nodos:",
"Translation:","Traducción:",
"Delete","Eliminar",
"(C)Yiming Wu","(C) Yiming Wu",
"Wire Brightness","Brillo del cable",
"Rebuild Input Mapping","Reconstruir Mapeo de Entrada",
"Save Preferences","Guardar Preferencias",
"Close","Cerrar",
"Paddings:","Aire:",
"Function Test","Test de Función",
"Edge Transparency","Transparencia de Borde",
"Insert Rack","Insertar Rack",
"Line Width:","Ancho de línea:",
"Add Page","Agregar Página",
"Viewing","Ver",
"Controller:","Controlador:",
"Size","Tamaño",
"File Size","Tamaño de Fichero",
"Last Modified On","Modificado por última vez en",
"Resource","Recurso",
"New File","Nuevo Fichero",
"… Bookmarks","… Marcadores",
"Bytes","Bytes",
"Logic Drives","Unidades lógicas",
"Folder","Carpeta",
"Confirm","Confirmar",
"Display","Pantalla",
"Show","Mostrar",
"Theme","Tema",
"Input","Entrada",
"File Name","Nombre de Fichero",
"Up","Arriba",
"Device Graphics","Dispositivos Gráficos",
"Authors","Autores",
"LaGUI information","Información de LaGUI",
"Show","Mostrar",
"Version","Versión",
0,0};

void la_MakeTranslations_zh_hans(){
    transSetLanguage("es-ES");
    for(int i=0;;i++){if(!entries[i*2])break;
        transNewEntry(entries[i*2],entries[i*2+1]);
    }
}
